Issue 89054 - display MWS name in about dialog
Summary: display MWS name in about dialog
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m3
Hardware: PC Windows XP
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: thorsten.martens
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-06 09:06 UTC by Frank Schönheit
Modified: 2009-07-20 15:56 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch (5.06 KB, patch)
2008-05-06 09:08 UTC, Frank Schönheit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2008-05-06 09:06:59 UTC
The about dialog ("Help / About") already features displaying the build id of
OOo, by reading the "buildid" property from the .versionrc/version.ini file.
However, this property misses an information which I consider important: The MWS
of the build.
That is, a OOo 2.2 displays "680m14(Build:9134)", a 2.3 displays
"680m5(Build:9221)", a 2.4 displays "680m12(Build:9286)". In all cases, the UPD
(680) is shown, but the MWS name (OOF680, OOG680, OOH680) is completely missing.

I would consider it useful to display this information, too. The attached patch
implements this.
Comment 1 Frank Schönheit 2008-05-06 09:08:05 UTC
Created attachment 53404 [details]
patch
Comment 2 Olaf Felka 2008-05-06 09:11:51 UTC
OF: Can we do this with issue 76868?
Comment 3 Frank Schönheit 2008-05-22 10:36:44 UTC
fs->pb: Would it make sense to integrate this patch (provided it survives your
review) together with your fix for issue 76868?
Comment 4 pb 2008-05-26 08:38:25 UTC
pb: accepted for 3.0.
Comment 5 pb 2008-05-26 12:46:23 UTC
pb: fixed in cws fwk88.
Files changed:
/unotools/inc/unotools/bootstrap.hxx 1.13.8.1
/unotools/source/config/bootstrap.cxx 1.25.6.1
/sfx2/source/appl/appserv.cxx 1.75.20.2
Comment 6 pb 2008-05-30 07:51:51 UTC
pb -> tm: please verify. Thx.
Comment 7 thorsten.martens 2008-06-10 15:27:37 UTC
Checked and verified in cws fwk88 -> OK !
Comment 8 thorsten.ziehm 2009-07-20 15:56:42 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues